org.eclipse.viatra.cep.vepl.vepl

## Interface ChainedExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ChainedExpressionImpl

      public interface ChainedExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Chained Expression'.

  The following features are supported:

  - `Operator`
  - `Expression`
  See Also:
    `VeplPackage.getChainedExpression()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexEventExpression` | `getExpression()` Returns the value of the 'Expression' containment reference.
    `BinaryOperator` | `getOperator()` Returns the value of the 'Operator' containment reference.
    `void` | `setExpression(ComplexEventExpression value)` Sets the value of the '`Expression`' containment reference.
    `void` | `setOperator(BinaryOperator value)` Sets the value of the '`Operator`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOperator

          BinaryOperator getOperator()

      Returns the value of the 'Operator' containment reference.

      If the meaning of the 'Operator' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operator' containment reference.
      See Also:
        `setOperator(BinaryOperator)`, `VeplPackage.getChainedExpression_Operator()`
      Generated:
      Model:
        containment="true"

    - #### setOperator

          void setOperator(BinaryOperator value)

      Sets the value of the '`Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Operator' containment reference.
      See Also:
        `getOperator()`
      Generated:

    - #### getExpression

          ComplexEventExpression getExpression()

      Returns the value of the 'Expression' containment reference.

      If the meaning of the 'Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(ComplexEventExpression)`, `VeplPackage.getChainedExpression_Expression()`
      Generated:
      Model:
        containment="true"

    - #### setExpression

          void setExpression(ComplexEventExpression value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`
      Generated: